/*******************************************************************************
 * Copyright (c) 2003, 2007 s IT Solutions AT Spardat GmbH .
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     s IT Solutions AT Spardat GmbH - initial API and implementation
 *******************************************************************************/

// @(#) $Id: AParseException.java 2093 2007-11-28 14:23:36Z s3460 $
package at.spardat.enterprise.fmt;

import java.util.Locale;

/**
 * This exception is thrown by method {@link IFmt#parse} if an external string cannot be converted 
 * to an internal.
 * 
 * @author YSD, 07.08.2003 12:40:08
 */
public class AParseException extends RuntimeException {

    /**
     * Empty constructor.
     */    
    public AParseException () {
    }
    
    /**
     * Constructs and provides the localized text that should be displayed to the end-user.
     */
    public AParseException (String message) {
        super (message);
    }

    /**
     * Returns an UI displayable message explaing the reason for this exception. 
     * 
     * @param the Locale used to format the text
     * @return Non null string with an explanation which may be shown directly to
     *          the user.
     */  
    public String getUIMessage (Locale l) {
        return super.getMessage();
    }        
}
